Commits an active stream message into a finalized message in a Google Chat space.
Requires app authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
HTTP request
POST https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}:commit
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the stream message to commit. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"chunkToken": string,
"streamContentChunks": [
{
object ( |
| Fields | |
|---|---|
chunkToken |
Required. Token for committing the stream message, obtained from the |
streamContentChunks[] |
Optional. Any final chunks to append before finalizing the message. |
Response body
Response message for committing a stream message.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"message": {
object ( |
| Fields | |
|---|---|
message |
The finalized message. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chat.bothttps://www.googleapis.com/auth/chat.messages
For more information, see the Authorization guide.